locked
vs 2005, ms sql express 2005 to web developer 2008, sql express 2008 RRS feed

  • Question

  • User-635215137 posted

    Hi:

    I have vs 2005, and ms sql express 2005 in my local pc, i'm trying to add (or upgrad) to: visual web developer 2008, and sql express 2008.

    When I use "Web Platform Installer 2.0", it gives me an error says:"SQL Server Express 2008 with Service Pack 1 in incompatible with Microsoft SQL Server Express 2005. Visual Web Developer 2008 Express with SP1 requires SQL Express 2008 with Service Pack 1."

    Do I need manually remove the old files for 2005? Is there any easier and safer way to do that? I am still using this pc for the programming and don't what to messed up and ends up"2008 not installed, and 2005 can't run any more".

    Thanks

    JT

    Monday, March 22, 2010 3:59 PM

Answers

  • User1597217033 posted

    Hi James

    When installing SQL Express 2008, the default instance name is SQLEXPRESS.

    Unfortunately, this is the same default as SQL Express 2005. That means if you have SQL 2005 Express installed, you probably already have an SQLEXPRESS instance, which is a conflict.

    The trick is, when installing SQL Express 2008, to change the name of the default instance to something different. Mine is named SQLEXPRESS2008.

    I have SQL 2005 Express, SQL 2005 Developer, SQL 2008 Express, and SQL 2008 Developer on my main machine, and they all work.


    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Wednesday, March 24, 2010 12:35 AM